---------------------
PatchSet 2666 
Date: 2001/07/26 14:03:37
Author: kinkie
Branch: ntlm
Tag: (none) 
Log:
Removed some extra debug logging and asserts.

Members: 
	src/auth/ntlm/auth_ntlm.c:1.1.10.14.2.22->1.1.10.14.2.23 

Index: squid/src/auth/ntlm/auth_ntlm.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/auth/ntlm/auth_ntlm.c,v
retrieving revision 1.1.10.14.2.22
retrieving revision 1.1.10.14.2.23
diff -u -r1.1.10.14.2.22 -r1.1.10.14.2.23
--- squid/src/auth/ntlm/auth_ntlm.c	12 Jul 2001 10:12:41 -0000	1.1.10.14.2.22
+++ squid/src/auth/ntlm/auth_ntlm.c	26 Jul 2001 14:03:37 -0000	1.1.10.14.2.23
@@ -462,9 +462,6 @@
     ntlm_user_t *ntlm_user;
     ntlm_request_t *ntlm_request;
     debug(29, 9) ("authenticateNTLMHandleReply: Helper: '%d' {%s}\n", lastserver, reply ? reply : "<NULL>");
-#ifdef EXTRA_DEBUG
-    debug(29,1) ("authenticateNTLMHandlereply: Helper '%d' {%s} fds %d %d\n", lastserver, reply ? reply : "<NULL>", ((helper_stateful_server *) lastserver)->rfd, ((helper_stateful_server *) lastserver)->wfd);
-#endif
     valid = cbdataValid(r->data);
     if (valid) {
 	if (reply) {
@@ -760,13 +757,6 @@
 	    } else {
 		snprintf(buf, 8192, "YR\n");
 
-#ifdef EXTRA_DEBUG
-assert (r->auth_user_request);
-assert (r->auth_user_request->scheme_data);
-assert (r->auth_user_request->auth_user);
-assert (r->auth_user_request->auth_user->scheme_data);
-#endif
-
 
 		helperStatefulSubmit(ntlmauthenticators, buf, authenticateNTLMHandleReply, r, ntlm_request->authserver);
 	    }
@@ -789,13 +779,6 @@
 	r->auth_user_request = auth_user_request;
 	snprintf(buf, 8192, "KK %s\n", sent_string);
 
-#ifdef EXTRA_DEBUG
-assert (r->auth_user_request);
-assert (r->auth_user_request->scheme_data);
-assert (r->auth_user_request->auth_user);
-assert (r->auth_user_request->auth_user->scheme_data);
-#endif
-
 
 	helperStatefulSubmit(ntlmauthenticators, buf, authenticateNTLMHandleReply, r, ntlm_request->authserver);
 	debug(29, 9) ("authenticateNTLMstart: finished\n");
@@ -964,10 +947,7 @@
 	    /* the authentication fialed badly... */
 	    return;
 	}
-	ntlm_request->auth_state = AUTHENTICATE_STATE_NEGOTIATE;
-#ifdef EXTRA_DEBUG
-debug (29,1) ("setting ntlm_request %x to NEGOTIATE\n", ntlm_request);
-#endif	
+  ntlm_request->auth_state = AUTHENTICATE_STATE_NEGOTIATE;
 	ntlm_request->ntlmnegotiate = xstrndup(proxy_auth, NTLM_CHALLENGE_SZ + 5);
 	conn->auth_type = AUTH_NTLM;
 	conn->auth_user_request = auth_user_request;
@@ -977,9 +957,6 @@
 	return;
 	break;
     case AUTHENTICATE_STATE_NEGOTIATE:
-#ifdef EXTRA_DEBUG
-debug (29,1) ("setting ntlm_request %x to CHALLENGE\n", ntlm_request);
-#endif
 	ntlm_request->auth_state = AUTHENTICATE_STATE_CHALLENGE;
 	assert(ntlm_request->authchallenge); /* trying to get good bt on wrong state trans - extra_debug */
 	return;
@@ -1008,9 +985,6 @@
 	if (!proxy_auth_hash) {	/* not in the hash table */
 	    debug(29, 4) ("authenticateNTLMAuthenticateUser: proxy-auth cache miss.\n");
 	    ntlm_request->auth_state = AUTHENTICATE_STATE_RESPONSE;
-#ifdef EXTRA_DEBUG
-debug (29,1) ("setting ntlm_request %x to RESPONSE\n", ntlm_request);
-#endif			
 	    /* verify with the ntlm helper */
 	} else {
 	    debug(29, 4) ("authenticateNTLMAuthenticateUser: ntlm proxy-auth cache hit\n");
@@ -1020,9 +994,6 @@
 	    auth_user = proxy_auth_hash->auth_user;
 	    auth_user_request->auth_user = auth_user;
 	    ntlm_request->auth_state = AUTHENTICATE_STATE_DONE;
-#ifdef EXTRA_DEBUG
-debug (29,1) ("setting ntlm_request %x to DONE\n", ntlm_request);
-#endif			
 	    /* we found one */
 	    debug(29, 9) ("found matching cache entry\n");
 	    assert(auth_user->auth_type == AUTH_NTLM);
@@ -1041,9 +1012,6 @@
 	/* auth-challenge pair cache miss. We've just got the response */
 	/*add to cache and let them through */
 	ntlm_request->auth_state = AUTHENTICATE_STATE_DONE;
-#ifdef EXTRA_DEBUG
-debug (29,1) ("setting ntlm_request %x to DONE\n", ntlm_request);
-#endif	
 	/* this connection is authenticated */
 	debug(29, 4) ("authenticated\nch    %s\nauth     %s\nauthuser %s\n",
 	    ntlm_request->authchallenge,
